<script setup>
defineProps({
  show: Boolean
})
</script>

<template>
  <dialog v-if="show == true" aria-labelledby="fr-modal-title-modal-1" role="dialog" id="fr-modal-1"
    :class="{ 'fr-modal': true, 'fr-modal--opened': show }">
    <div class="fr-container fr-container--fluid fr-container-md">
      <div class="fr-grid-row fr-grid-row--center">
        <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
          <div class="fr-modal__body">
            <div class="fr-modal__header">
              <slot name="modal-header"/>
              <button class="fr-link--close fr-link" title="Fermer la fenêtre modale" aria-controls="fr-modal-1"
                @click="$emit('close')">
              </button>
            </div>
            <div class="fr-modal__content">
              <slot></slot>
            </div>
          </div>
        </div>
      </div>
    </div>
  </dialog>
</template>

<style scoped>
.fr-modal__header {
  position: sticky;
  top: 0;
  background-color: white;
  z-index: 999;
}
.fr-modal__content{
  padding: 0;
}
</style>